$Login = Connect-AzAccount

# Laste opp konfigurasjon
$Params = @{
    ResourceGroupName     = "NTNU02-M-northeu-DSC-rg";
    AutomationAccountName = "azure-dsc-test-01";
    SourcePath            = "ConfigurationExample.ps1"; # filnavnet
    Published             = $true;
    Force                 = $true;
    Verbose               = $true;
}
$Config = Import-AzAutomationDscConfiguration @Params


# Kompilere konfigurasjon
$Params = @{
    ResourceGroupName               = 'NTNU02-M-northeu-DSC-rg';
    AutomationAccountName           = 'azure-dsc-test-01';
    ConfigurationName               = $Config.Name;
    #IncrementNodeConfigurationBuild = $true;
    Verbose                         = $true;
}
$CompilateConfig = Start-AzAutomationDscCompilationJob @Params